### Class

# Gdk Drop

#### Description [src]

    abstract class Gdk.Drop : GObject.Object
    {
      /* No available fields */
    }

Represents the target of an ongoing DND operation.

Possible drop sites get informed about the status of the ongoing drag operation with events of type `GDK_DRAG_ENTER`, `GDK_DRAG_LEAVE`, `GDK_DRAG_MOTION` and `GDK_DROP_START`. The `GdkDrop` object can be obtained from these `GdkEvent` types using `gdk_dnd_event_get_drop()`.

The actual data transfer is initiated from the target side via an async read, using one of the `GdkDrop` methods for this purpose: `gdk_drop_read_async()` or `gdk_drop_read_value_async()`.

GTK provides a higher level abstraction based on top of these functions, and so they are not normally needed in GTK applications. See the “Drag and Drop” section of the GTK documentation for more information.

#### Ancestors

- GObject

#### Instance methods

###### gdk_drop_finish

Ends the drag operation after a drop.

###### gdk_drop_get_actions

Returns the possible actions for this `GdkDrop`.

###### gdk_drop_get_device

Returns the `GdkDevice` performing the drop.

###### gdk_drop_get_display

Gets the `GdkDisplay` that `self` was created for.

###### gdk_drop_get_drag

If this is an in-app drag-and-drop operation, returns the `GdkDrag` that corresponds to this drop.

###### gdk_drop_get_formats

Returns the `GdkContentFormats` that the drop offers the data to be read in.

###### gdk_drop_get_surface

Returns the `GdkSurface` performing the drop.

###### gdk_drop_read_async

Asynchronously read the dropped data from a `GdkDrop` in a format that complies with one of the mime types.

###### gdk_drop_read_finish

Finishes an async drop read operation.

###### gdk_drop_read_value_async

Asynchronously request the drag operation’s contents converted to the given `type`.

###### gdk_drop_read_value_finish

Finishes an async drop read.

###### gdk_drop_status

Selects all actions that are potentially supported by the destination.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Gdk.Drop:actions

The possible actions for this drop.

###### Gdk.Drop:device

The `GdkDevice` performing the drop.

###### Gdk.Drop:display

The `GdkDisplay` that the drop belongs to.

###### Gdk.Drop:drag

The `GdkDrag` that initiated this drop.

###### Gdk.Drop:formats

The possible formats that the drop can provide its data in.

###### Gdk.Drop:surface

The `GdkSurface` the drop happens on.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.